# Generated from logstash-output-custom-solr-0.1.17.gem by gem2rpm -*- rpm-spec -*-
%global gem_name logstash-output-custom-solr

Name: rubygem-%{gem_name}
Version: 0.1.17
Release: 1%{?dist}
Summary: Logstash output plugin for sending data to Solr
License: Apache License (2.0)
URL: https://github.com/mosuka/logstash-output-solr
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(logstash-core) >= 1.60
# BuildRequires: rubygem(logstash-core) <= 2.99
# BuildRequires: rubygem(logstash-devutils)
# BuildRequires: rubygem(zk-server) >= 1.1.8
# BuildRequires: rubygem(zk-server) < 1.2
BuildArch: noarch

%description
Logstash output plugin for sending data to Solr. It supports SolrCloud, not
only Standalone Solr.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/DEVELOPER.md
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTORS
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/logstash-output-custom-solr.gemspec
%{gem_instdir}/spec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.1.17-1
- Initial package
